Package org.eclipse.lemminx.dom.parser

## Class Constants

- java.lang.Object
- - org.eclipse.lemminx.dom.parser.Constants

    public class Constants
    extends Object

### Field Summary

Fields
`static int` `_AST`
`static int` `_AVL`
`static int` `_CAR`
`static int` `_CCB`
`static int` `_CMA`
`static int` `_CRB`
`static int` `_CSB`
`static int` `_CVL`
`static int` `_DDT`
`static int` `_DOT`
`static int` `_DQO`
`static int` `_DVL`
`static int` `_EQS`
`static int` `_EVL`
`static int` `_EXL`
`static int` `_FSL`
`static int` `_IVL`
`static int` `_LAN`
`static int` `_LFD`
`static int` `_lVL`
`static int` `_LVL`
`static int` `_MIN`
`static int` `_mVL`
`static int` `_MVL`
`static int` `_NVL`
`static int` `_NWL`
`static int` `_OCB`
`static int` `_ORB`
`static int` `_OSB`
`static int` `_OVL`
`static int` `_PCT`
`static int` `_PLS`
`static int` `_PVL`
`static int` `_QMA`
`static int` `_RAN`
`static int` `_SIQ`
`static int` `_SQO`
`static int` `_SVL`
`static int` `_TAB`
`static int` `_TVL`
`static int` `_UDS`
`static int` `_WSP`
`static int` `_XVL`
`static int` `_YVL`
`static Pattern` `ATTRIBUTE_NAME_REGEX`
`static Pattern` `ATTRIBUTE_VALUE_REGEX`
`static Pattern` `DOCTYPE_KIND_OPTIONS`
`static Pattern` `DOCTYPE_NAME`
`static Pattern` `DOCUMENTATION_CONTENT`
`static Pattern` `DTD_ATTLIST_ATTRIBUTE_TYPE`
`static Pattern` `DTD_ATTLIST_ATTRIBUTE_VALUE`
`static Pattern` `DTD_ELEMENT_CATEGORY`
`static Pattern` `DTD_ELEMENT_CONTENT`
`static Pattern` `DTD_ENTITY_VALUE`
`static Pattern` `DTD_PCDATA`
`static Pattern` `ELEMENT_NAME_REGEX`
`static Pattern` `ENTITY_NAME_REGEX`
`static Pattern` `PI_TAG_NAME`
`static Pattern` `PI_WITH_VARIABLES`
`static Pattern` `PROLOG_NAME_OPTIONS`
`static Pattern` `URL_VALUE_REGEX`

### Constructor Summary

Constructors
`Constants()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _EXL

    public static final int _EXL

#### _MIN

    public static final int _MIN

#### _UDS

    public static final int _UDS

#### _DDT

    public static final int _DDT

#### _DOT

    public static final int _DOT

#### _LAN

    public static final int _LAN

#### _RAN

    public static final int _RAN

#### _FSL

    public static final int _FSL

#### _EQS

    public static final int _EQS

#### _CMA

    public static final int _CMA

#### _DQO

    public static final int _DQO

#### _SQO

    public static final int _SQO

#### _SIQ

    public static final int _SIQ

#### _NWL

    public static final int _NWL

#### _CAR

    public static final int _CAR

#### _LFD

    public static final int _LFD

#### _WSP

    public static final int _WSP

#### _TAB

    public static final int _TAB

#### _OSB

    public static final int _OSB

#### _CSB

    public static final int _CSB

#### _ORB

    public static final int _ORB

#### _CRB

    public static final int _CRB

#### _OCB

    public static final int _OCB

#### _CCB

    public static final int _CCB

#### _CVL

    public static final int _CVL

#### _DVL

    public static final int _DVL

#### _AVL

    public static final int _AVL

#### _TVL

    public static final int _TVL

#### _OVL

    public static final int _OVL

#### _YVL

    public static final int _YVL

#### _PVL

    public static final int _PVL

#### _EVL

    public static final int _EVL

#### _LVL

    public static final int _LVL

#### _MVL

    public static final int _MVL

#### _NVL

    public static final int _NVL

#### _IVL

    public static final int _IVL

#### _SVL

    public static final int _SVL

#### _QMA

    public static final int _QMA

#### _XVL

    public static final int _XVL

#### _mVL

    public static final int _mVL

#### _lVL

    public static final int _lVL

#### _PCT

    public static final int _PCT

#### _AST

    public static final int _AST

#### _PLS

    public static final int _PLS

#### ENTITY_NAME_REGEX

    public static final Pattern ENTITY_NAME_REGEX

#### ELEMENT_NAME_REGEX

    public static final Pattern ELEMENT_NAME_REGEX

#### ATTRIBUTE_NAME_REGEX

    public static final Pattern ATTRIBUTE_NAME_REGEX

#### ATTRIBUTE_VALUE_REGEX

    public static final Pattern ATTRIBUTE_VALUE_REGEX

#### URL_VALUE_REGEX

    public static final Pattern URL_VALUE_REGEX

#### PROLOG_NAME_OPTIONS

    public static final Pattern PROLOG_NAME_OPTIONS

#### PI_TAG_NAME

    public static final Pattern PI_TAG_NAME

#### PI_WITH_VARIABLES

    public static final Pattern PI_WITH_VARIABLES

#### DOCTYPE_KIND_OPTIONS

    public static final Pattern DOCTYPE_KIND_OPTIONS

#### DTD_ELEMENT_CATEGORY

    public static final Pattern DTD_ELEMENT_CATEGORY

#### DTD_ELEMENT_CONTENT

    public static final Pattern DTD_ELEMENT_CONTENT

#### DTD_PCDATA

    public static final Pattern DTD_PCDATA

#### DTD_ATTLIST_ATTRIBUTE_TYPE

    public static final Pattern DTD_ATTLIST_ATTRIBUTE_TYPE

#### DTD_ATTLIST_ATTRIBUTE_VALUE

    public static final Pattern DTD_ATTLIST_ATTRIBUTE_VALUE

#### DTD_ENTITY_VALUE

    public static final Pattern DTD_ENTITY_VALUE

#### DOCTYPE_NAME

    public static final Pattern DOCTYPE_NAME

#### DOCUMENTATION_CONTENT

    public static final Pattern DOCUMENTATION_CONTENT

### Constructor Detail

#### Constants

    public Constants()